INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('CONTACT_US_ENQUIRY', 'Contact us - Enquiry', 'Contact us - Enquiry', 'Y', 3);

INSERT INTO NOTIFICATION_TEMPLATE_TYPE(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, ACTIVE) VALUES
('BRI', 'Boat review insert', 'Boat review insert', 'Y');

ALTER TABLE NSTANJE
ADD NOTIFICATION VARCHAR2(1 CHAR);

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY, CONFIRM_TYPE) VALUES 
('ASSISTANCE_CANCEL_PORTAL', 'Assistance cancellation from portal', 'Assistance cancellation from portal', 'Y', 3, 2);

INSERT INTO NNTOPIC(SIFRA, OPIS, INTERNI_OPIS) VALUES ('ACP', 'Assistance cancellation from portal', 'Assistance cancellation from portal');

ALTER TABLE ASSISTANCE
ADD DATE_CHANGED DATE;

ALTER TABLE ASSISTANCE
ADD USER_CHANGED VARCHAR2(250 CHAR);

UPDATE ASSISTANCE
SET DATE_CHANGED = ASSISTANCE_DATE
WHERE DATE_CHANGED IS NULL;

DROP VIEW V_ASSISTANCE;

CREATE OR REPLACE VIEW V_ASSISTANCE
AS (
SELECT A.ID, A.ID_LASTNIKA, A.ASSISTANCE_TYPE, A.STATUS, A.ASSISTANCE_DATE, A.ASSISTANCE_COMMENT, A.NNLOCATION_ID, A.ID_PLOVILA, A.USER_CHANGED, A.DATE_CHANGED,
S.DESCRIPTION AS STATUS_DESCRIPTION, N.OPIS AS NNASSISTANCE_OPIS, N.INTERNI_OPIS AS NNASSISTANCE_INTERNI_OPIS, N.ALARM AS NNASSISTANCE_ALARM, N.EMAIL AS NNASSISTANCE_EMAIL,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.VRSTA AS KUPCI_VRSTA, K.MANAGER AS KUPCI_MANAGER, K.NDRZAVA AS KUPCI_NDRZAVA, K.KODA_JEZIKA AS KUPCI_KODA_JEZIKA, NL.OPIS AS NNLOCATION_OPIS,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM ASSISTANCE A
LEFT OUTER JOIN NNASSISTANCE N ON N.ID = A.ASSISTANCE_TYPE
LEFT OUTER JOIN ASSISTANCE_STATUS S ON S.ID_ASSISTANCE_STATUS = A.STATUS
LEFT OUTER JOIN KUPCI K ON A.ID_LASTNIKA = K.ID
LEFT OUTER JOIN NNLOCATION NL ON NL.ID = A.NNLOCATION_ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2161, SYSDATE, '5.5', 2081, 'myMarina')
;