ALTER TABLE TIMER_EMAIL
MODIFY USER_CREATED VARCHAR2(250 CHAR);

CREATE TABLE FB_ORDER_DETAIL_TYPING (
  ID_FB_ORDER_DETAIL_TYPING NUMBER NOT NULL,
  ID_FB_ORDER_DETAIL NUMBER,
  QUANTITY NUMBER,
  SENT VARCHAR2(1 CHAR),
  CONSTRAINT FB_ORDER_DETAIL_TYPING_PK PRIMARY KEY (ID_FB_ORDER_DETAIL_TYPING),
  CONSTRAINT FBODT_ID_FB_ORDER_DETAIL_FK FOREIGN KEY (ID_FB_ORDER_DETAIL) REFERENCES FB_ORDER_DETAIL(ID_FB_ORDER_DETAIL)
);

CREATE INDEX IX_FBODT_ID_FB_ORDER_DETAIL ON FB_ORDER_DETAIL_TYPING (ID_FB_ORDER_DETAIL);

CREATE SEQUENCE FB_ORDER_DETAIL_TYPING_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE TABLE PRINT_DEVICE (
  ID_PRINT_DEVICE NUMBER NOT NULL,
  NAME VARCHAR2(200 CHAR),
  "COMMENT" VARCHAR2(300 CHAR),
  ACTIVE VARCHAR2(1 CHAR),
  CONSTRAINT PRINT_DEVICE_PK PRIMARY KEY (ID_PRINT_DEVICE)
);

CREATE SEQUENCE PRINT_DEVICE_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

ALTER TABLE FB_LOCATION
ADD ID_PRINT_DEVICE NUMBER CONSTRAINT FB_LOCATION_ID_PRINT_DEVICE_FK REFERENCES PRINT_DEVICE(ID_PRINT_DEVICE);

ALTER TABLE S_GRUPE
ADD ID_FB_LOCATION_PREPARE NUMBER;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1573, SYSDATE, '5.5', 1493, 'FB print device')
;
